Subject: Re: bug#66558: 29.1; .Xmodmap Win-key configurations cause keybinding issues

From: Po Lu <[email-masked]>
Date: Mon, 16 Oct 2023 08:56:09 +0800

Dev Null <[email-masked]> writes:

> The following lines of my '~/.Xmodmap' file remap my left Win key
> to Ctrl:
>
> remove mod4 = Super_L
> add control = Super_L
>
> When I run GUI Emacs with this in place, entering any keybinding 'C-s-X
> is undefined', where X is the key that I pressed. E.g. if I press 'C-n',
> I get the following:
>
> 'C-s-n is undefined'

My powers of clairvoyance enable me to deduce that another key is bound
to control, in all likelihood Control_L.  You must remove _every_ key
from a real modifier you rebind, or Emacs will rightly attribute to
events with it pressed the detritus of previous bindings that remains.